Module jdk.compiler
Package com.sun.source.tree

## Interface DoWhileLoopTree

All Superinterfaces:
  `StatementTree`, `Tree`

    public interface DoWhileLoopTree
    extends StatementTree

A tree node for a `do` statement. For example:

       do
           statement
       while ( expression );

Since:
  1.6
See The Java™ Language Specification:
  section 14.13

### Nested Class Summary

### Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`ExpressionTree` `getCondition()` Returns the condition of the loop.
`StatementTree` `getStatement()` Returns the body of the loop.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getCondition

    ExpressionTree getCondition()

Returns the condition of the loop.

Returns:
  the condition

#### getStatement

    StatementTree getStatement()

Returns the body of the loop.

Returns:
  the body of the loop